Loading...
Searching...
No Matches
istlvectorbackend.hh File Reference
`#include <cstddef>`
`#include <utility>`
`#include <type_traits>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/concept.hh>`
`#include <dune/functions/common/indexaccess.hh>`
`#include <dune/functions/functionspacebases/concepts.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class V>
constexpr auto | Dune::Functions::fieldTypes ()
| Generate list of field types in container.
template<class V>
constexpr bool | Dune::Functions::hasUniqueFieldType ()
| Check if container has a unique field type.
template<class Vector>
auto | Dune::Functions::istlVectorBackend (Vector &v)
| Return a vector backend wrapping non-const ISTL like containers.
template<class Vector>
auto | Dune::Functions::istlVectorBackend (const Vector &v)
| Return a vector backend wrapping const ISTL like containers.